# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-bitarray
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 

Name:   python-module-bitarray
Version:     0.3.5   
Release:        alt1_7
Summary:        Efficient Array of Booleans --C Extensions

Group:          Development/Python
License:        Python
URL:            http://pypi.python.org/pypi/bitarray/
Source0:        http://pypi.python.org/packages/source/b/bitarray/bitarray-%{version}.tar.gz
BuildRequires:  python-devel python-module-setuptools
Source44: import.info

%description
Bitarrays are sequence types and behave very much like usual lists.
Eight bits are represented by one byte in contiguous block of memory.
The user can select between two representations; little-endian and big-endian.
Most of the functionality is implemented in C.Methods for accessing the machine
representation are provided. This can be useful when bit level access to binary
files is required, such as portable bitmap image files (.pbm). Also, when 
dealing with compressed data which uses variable bit length encoding
you may find this module useful.

%prep
%setup -q -n bitarray-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE 

%{python_sitelibdir}/*
 


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_6
- initial fc import

